GET openApi/students/{userIdentifier}/followUpActivities?Count={Count}&Offset={Offset}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
|
| Count | integer |
None. |
|
| Offset | integer |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| StudentId | globally unique identifier |
None. |
|
| ReporterId | globally unique identifier |
None. |
|
| ReporterFullName | string |
None. |
|
| LocalDate | date |
None. |
|
| Result | string |
None. |
|
| HasReachedStudent | boolean |
None. |
|
| StaffMemberPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| FollowUpActivityType | PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityTypeViewModel |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"Id": "38b21487-7b75-4fac-9348-07b79ec62985",
"StudentId": "f05703d7-0303-46c0-8720-28fc96517248",
"ReporterId": "36223b57-dd30-4bdd-bb14-3450566dba59",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-10-26T01:15:01.2119106+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "71325a5d-781e-4a5e-a919-6472da5e44ca",
"Name": "sample string 2"
}
},
{
"Id": "38b21487-7b75-4fac-9348-07b79ec62985",
"StudentId": "f05703d7-0303-46c0-8720-28fc96517248",
"ReporterId": "36223b57-dd30-4bdd-bb14-3450566dba59",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-10-26T01:15:01.2119106+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "71325a5d-781e-4a5e-a919-6472da5e44ca",
"Name": "sample string 2"
}
}
]